1. Registry
  2. Packages
  3. Vercel Provider
  4. API Docs
  5. AuditLogDrain
Viewing docs for Vercel v5.21.1
published on Thursday, Oct 15, 2026 by Pulumiverse
vercel logo vercel logo
Viewing docs for Vercel v5.21.1
published on Thursday, Oct 15, 2026 by Pulumiverse

    Provides an Audit Log Drain resource.

    Audit Log Drains forward team activity events to an HTTP endpoint or Amazon S3. They apply to the whole team and do not support project selection, filtering, or sampling.

    Audit Log Drains are only available to Enterprise teams.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as vercel from "@pulumiverse/vercel";
    
    const example = new vercel.AuditLogDrain("example", {
        name: "security-audit-events",
        http: {
            endpoint: "https://siem.example.com/vercel",
            encoding: "ndjson",
            compression: "gzip",
            headers: {
                Authorization: "Bearer my-secret-token",
            },
        },
    });
    
    import pulumi
    import pulumiverse_vercel as vercel
    
    example = vercel.AuditLogDrain("example",
        name="security-audit-events",
        http={
            "endpoint": "https://siem.example.com/vercel",
            "encoding": "ndjson",
            "compression": "gzip",
            "headers": {
                "Authorization": "Bearer my-secret-token",
            },
        })
    
    package main
    
    import (
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    	"github.com/pulumiverse/pulumi-vercel/sdk/v5/go/vercel"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := vercel.NewAuditLogDrain(ctx, "example", &vercel.AuditLogDrainArgs{
    			Name: pulumi.String("security-audit-events"),
    			Http: &vercel.AuditLogDrainHttpArgs{
    				Endpoint:    pulumi.String("https://siem.example.com/vercel"),
    				Encoding:    pulumi.String("ndjson"),
    				Compression: pulumi.String("gzip"),
    				Headers: pulumi.StringMap{
    					"Authorization": pulumi.String("Bearer my-secret-token"),
    				},
    			},
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Vercel = Pulumiverse.Vercel;
    
    return await Deployment.RunAsync(() => 
    {
        var example = new Vercel.AuditLogDrain("example", new()
        {
            Name = "security-audit-events",
            Http = new Vercel.Inputs.AuditLogDrainHttpArgs
            {
                Endpoint = "https://siem.example.com/vercel",
                Encoding = "ndjson",
                Compression = "gzip",
                Headers = 
                {
                    { "Authorization", "Bearer my-secret-token" },
                },
            },
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumiverse.vercel.AuditLogDrain;
    import com.pulumiverse.vercel.AuditLogDrainArgs;
    import com.pulumi.vercel.inputs.AuditLogDrainHttpArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var example = new AuditLogDrain("example", AuditLogDrainArgs.builder()
                .name("security-audit-events")
                .http(AuditLogDrainHttpArgs.builder()
                    .endpoint("https://siem.example.com/vercel")
                    .encoding("ndjson")
                    .compression("gzip")
                    .headers(Map.of("Authorization", "Bearer my-secret-token"))
                    .build())
                .build());
    
        }
    }
    
    resources:
      example:
        type: vercel:AuditLogDrain
        properties:
          name: security-audit-events
          http:
            endpoint: https://siem.example.com/vercel
            encoding: ndjson
            compression: gzip
            headers:
              Authorization: Bearer my-secret-token
    
    Example coming soon!
    

    Create AuditLogDrain Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new AuditLogDrain(name: string, args?: AuditLogDrainArgs, opts?: CustomResourceOptions);
    @overload
    def AuditLogDrain(resource_name: str,
                      args: Optional[AuditLogDrainArgs] = None,
                      opts: Optional[ResourceOptions] = None)
    
    @overload
    def AuditLogDrain(resource_name: str,
                      opts: Optional[ResourceOptions] = None,
                      http: Optional[AuditLogDrainHttpArgs] = None,
                      name: Optional[str] = None,
                      s3: Optional[AuditLogDrainS3Args] = None,
                      team_id: Optional[str] = None)
    func NewAuditLogDrain(ctx *Context, name string, args *AuditLogDrainArgs, opts ...ResourceOption) (*AuditLogDrain, error)
    public AuditLogDrain(string name, AuditLogDrainArgs? args = null, CustomResourceOptions? opts = null)
    public AuditLogDrain(String name, AuditLogDrainArgs args)
    public AuditLogDrain(String name, AuditLogDrainArgs args, CustomResourceOptions options)
    
    type: vercel:AuditLogDrain
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "vercel_audit_log_drain" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args AuditLogDrainArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args AuditLogDrainArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args AuditLogDrainArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args AuditLogDrainArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args AuditLogDrainArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var auditLogDrainResource = new Vercel.AuditLogDrain("auditLogDrainResource", new()
    {
        Http = new Vercel.Inputs.AuditLogDrainHttpArgs
        {
            Encoding = "string",
            Endpoint = "string",
            Compression = "string",
            Headers = 
            {
                { "string", "string" },
            },
            Secret = "string",
        },
        Name = "string",
        S3 = new Vercel.Inputs.AuditLogDrainS3Args
        {
            Encoding = "string",
            Endpoint = "string",
            Region = "string",
            RoleArn = "string",
            ObjectAcl = "string",
            ServerSideEncryption = "string",
        },
        TeamId = "string",
    });
    
    example, err := vercel.NewAuditLogDrain(ctx, "auditLogDrainResource", &vercel.AuditLogDrainArgs{
    	Http: &vercel.AuditLogDrainHttpArgs{
    		Encoding:    pulumi.String("string"),
    		Endpoint:    pulumi.String("string"),
    		Compression: pulumi.String("string"),
    		Headers: pulumi.StringMap{
    			"string": pulumi.String("string"),
    		},
    		Secret: pulumi.String("string"),
    	},
    	Name: pulumi.String("string"),
    	S3: &vercel.AuditLogDrainS3Args{
    		Encoding:             pulumi.String("string"),
    		Endpoint:             pulumi.String("string"),
    		Region:               pulumi.String("string"),
    		RoleArn:              pulumi.String("string"),
    		ObjectAcl:            pulumi.String("string"),
    		ServerSideEncryption: pulumi.String("string"),
    	},
    	TeamId: pulumi.String("string"),
    })
    
    resource "vercel_audit_log_drain" "auditLogDrainResource" {
      lifecycle {
        create_before_destroy = true
      }
      http = {
        encoding    = "string"
        endpoint    = "string"
        compression = "string"
        headers = {
          "string" = "string"
        }
        secret = "string"
      }
      name = "string"
      s3 = {
        encoding               = "string"
        endpoint               = "string"
        region                 = "string"
        role_arn               = "string"
        object_acl             = "string"
        server_side_encryption = "string"
      }
      team_id = "string"
    }
    
    var auditLogDrainResource = new AuditLogDrain("auditLogDrainResource", AuditLogDrainArgs.builder()
        .http(AuditLogDrainHttpArgs.builder()
            .encoding("string")
            .endpoint("string")
            .compression("string")
            .headers(Map.of("string", "string"))
            .secret("string")
            .build())
        .name("string")
        .s3(AuditLogDrainS3Args.builder()
            .encoding("string")
            .endpoint("string")
            .region("string")
            .roleArn("string")
            .objectAcl("string")
            .serverSideEncryption("string")
            .build())
        .teamId("string")
        .build());
    
    audit_log_drain_resource = vercel.AuditLogDrain("auditLogDrainResource",
        http={
            "encoding": "string",
            "endpoint": "string",
            "compression": "string",
            "headers": {
                "string": "string",
            },
            "secret": "string",
        },
        name="string",
        s3={
            "encoding": "string",
            "endpoint": "string",
            "region": "string",
            "role_arn": "string",
            "object_acl": "string",
            "server_side_encryption": "string",
        },
        team_id="string")
    
    const auditLogDrainResource = new vercel.AuditLogDrain("auditLogDrainResource", {
        http: {
            encoding: "string",
            endpoint: "string",
            compression: "string",
            headers: {
                string: "string",
            },
            secret: "string",
        },
        name: "string",
        s3: {
            encoding: "string",
            endpoint: "string",
            region: "string",
            roleArn: "string",
            objectAcl: "string",
            serverSideEncryption: "string",
        },
        teamId: "string",
    });
    
    type: vercel:AuditLogDrain
    properties:
        http:
            compression: string
            encoding: string
            endpoint: string
            headers:
                string: string
            secret: string
        name: string
        s3:
            encoding: string
            endpoint: string
            objectAcl: string
            region: string
            roleArn: string
            serverSideEncryption: string
        teamId: string
    

    AuditLogDrain Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The AuditLogDrain resource accepts the following input properties:

    Http Pulumiverse.Vercel.Inputs.AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    Name string
    A human-readable name for the Audit Log Drain.
    S3 Pulumiverse.Vercel.Inputs.AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    TeamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    Http AuditLogDrainHttpArgs
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    Name string
    A human-readable name for the Audit Log Drain.
    S3 AuditLogDrainS3Args
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    TeamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http object
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name string
    A human-readable name for the Audit Log Drain.
    s3 object
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    team_id string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name String
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId String
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name string
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttpArgs
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name str
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3Args
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    team_id str
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http Property Map
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name String
    A human-readable name for the Audit Log Drain.
    s3 Property Map
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId String
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the AuditLogDrain resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id str
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing AuditLogDrain Resource

    Get an existing AuditLogDrain resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: AuditLogDrainState, opts?: CustomResourceOptions): AuditLogDrain
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            http: Optional[AuditLogDrainHttpArgs] = None,
            name: Optional[str] = None,
            s3: Optional[AuditLogDrainS3Args] = None,
            team_id: Optional[str] = None) -> AuditLogDrain
    func GetAuditLogDrain(ctx *Context, name string, id IDInput, state *AuditLogDrainState, opts ...ResourceOption) (*AuditLogDrain, error)
    public static AuditLogDrain Get(string name, Input<string> id, AuditLogDrainState? state, CustomResourceOptions? opts = null)
    public static AuditLogDrain get(String name, Output<String> id, AuditLogDrainState state, CustomResourceOptions options)
    resources:  _:    type: vercel:AuditLogDrain    get:      id: ${id}
    import {
      to = vercel_audit_log_drain.example
      id = "${id}"
    }
    
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    Http Pulumiverse.Vercel.Inputs.AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    Name string
    A human-readable name for the Audit Log Drain.
    S3 Pulumiverse.Vercel.Inputs.AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    TeamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    Http AuditLogDrainHttpArgs
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    Name string
    A human-readable name for the Audit Log Drain.
    S3 AuditLogDrainS3Args
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    TeamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http object
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name string
    A human-readable name for the Audit Log Drain.
    s3 object
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    team_id string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name String
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId String
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttp
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name string
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId string
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http AuditLogDrainHttpArgs
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name str
    A human-readable name for the Audit Log Drain.
    s3 AuditLogDrainS3Args
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    team_id str
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.
    http Property Map
    Configuration for delivery to a custom HTTP endpoint. Exactly one of http or s3 must be configured.
    name String
    A human-readable name for the Audit Log Drain.
    s3 Property Map
    Configuration for delivery to an Amazon S3 bucket. Exactly one of http or s3 must be configured.
    teamId String
    The ID of the team the Audit Log Drain should exist under. Required when configuring a team resource if a default team has not been set in the provider.

    Supporting Types

    AuditLogDrainHttp, AuditLogDrainHttpArgs

    Encoding string
    The format used to deliver Audit Log events. Can be json or ndjson.
    Endpoint string
    The HTTPS endpoint that receives Audit Log events.
    Compression string
    The compression applied to HTTP request bodies. Can be gzip or none.
    Headers Dictionary<string, string>
    Custom headers included in requests to the HTTP endpoint.
    Secret string
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    Encoding string
    The format used to deliver Audit Log events. Can be json or ndjson.
    Endpoint string
    The HTTPS endpoint that receives Audit Log events.
    Compression string
    The compression applied to HTTP request bodies. Can be gzip or none.
    Headers map[string]string
    Custom headers included in requests to the HTTP endpoint.
    Secret string
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    encoding string
    The format used to deliver Audit Log events. Can be json or ndjson.
    endpoint string
    The HTTPS endpoint that receives Audit Log events.
    compression string
    The compression applied to HTTP request bodies. Can be gzip or none.
    headers map(string)
    Custom headers included in requests to the HTTP endpoint.
    secret string
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    encoding String
    The format used to deliver Audit Log events. Can be json or ndjson.
    endpoint String
    The HTTPS endpoint that receives Audit Log events.
    compression String
    The compression applied to HTTP request bodies. Can be gzip or none.
    headers Map<String,String>
    Custom headers included in requests to the HTTP endpoint.
    secret String
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    encoding string
    The format used to deliver Audit Log events. Can be json or ndjson.
    endpoint string
    The HTTPS endpoint that receives Audit Log events.
    compression string
    The compression applied to HTTP request bodies. Can be gzip or none.
    headers {[key: string]: string}
    Custom headers included in requests to the HTTP endpoint.
    secret string
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    encoding str
    The format used to deliver Audit Log events. Can be json or ndjson.
    endpoint str
    The HTTPS endpoint that receives Audit Log events.
    compression str
    The compression applied to HTTP request bodies. Can be gzip or none.
    headers Mapping[str, str]
    Custom headers included in requests to the HTTP endpoint.
    secret str
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.
    encoding String
    The format used to deliver Audit Log events. Can be json or ndjson.
    endpoint String
    The HTTPS endpoint that receives Audit Log events.
    compression String
    The compression applied to HTTP request bodies. Can be gzip or none.
    headers Map<String>
    Custom headers included in requests to the HTTP endpoint.
    secret String
    A custom secret used to sign Audit Log events. If omitted, Vercel generates one.

    AuditLogDrainS3, AuditLogDrainS3Args

    Encoding string
    The format used to write Audit Log events. Can be json or ndjson.
    Endpoint string
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    Region string
    The AWS region containing the S3 bucket.
    RoleArn string
    The ARN of the AWS IAM role Vercel assumes to write objects.
    ObjectAcl string
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    ServerSideEncryption string
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    Encoding string
    The format used to write Audit Log events. Can be json or ndjson.
    Endpoint string
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    Region string
    The AWS region containing the S3 bucket.
    RoleArn string
    The ARN of the AWS IAM role Vercel assumes to write objects.
    ObjectAcl string
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    ServerSideEncryption string
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    encoding string
    The format used to write Audit Log events. Can be json or ndjson.
    endpoint string
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    region string
    The AWS region containing the S3 bucket.
    role_arn string
    The ARN of the AWS IAM role Vercel assumes to write objects.
    object_acl string
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    server_side_encryption string
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    encoding String
    The format used to write Audit Log events. Can be json or ndjson.
    endpoint String
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    region String
    The AWS region containing the S3 bucket.
    roleArn String
    The ARN of the AWS IAM role Vercel assumes to write objects.
    objectAcl String
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    serverSideEncryption String
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    encoding string
    The format used to write Audit Log events. Can be json or ndjson.
    endpoint string
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    region string
    The AWS region containing the S3 bucket.
    roleArn string
    The ARN of the AWS IAM role Vercel assumes to write objects.
    objectAcl string
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    serverSideEncryption string
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    encoding str
    The format used to write Audit Log events. Can be json or ndjson.
    endpoint str
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    region str
    The AWS region containing the S3 bucket.
    role_arn str
    The ARN of the AWS IAM role Vercel assumes to write objects.
    object_acl str
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    server_side_encryption str
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.
    encoding String
    The format used to write Audit Log events. Can be json or ndjson.
    endpoint String
    The S3 bucket and optional prefix where Audit Log events are written, using the format s3://bucket[/prefix].
    region String
    The AWS region containing the S3 bucket.
    roleArn String
    The ARN of the AWS IAM role Vercel assumes to write objects.
    objectAcl String
    The canned ACL sent when writing objects. Can be private, bucket-owner-read, or bucket-owner-full-control.
    serverSideEncryption String
    The server-side encryption header sent when writing objects. Can be AES256, aws:kms, or aws:kms:dsse.

    Import

    The pulumi import command can be used, for example:

    If importing with a default team configured in the provider, simply use the audit_log_drain_id.

    $ pulumi import vercel:index/auditLogDrain:AuditLogDrain example drn_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    

    Alternatively, import using team_id/audit_log_drain_id.

    $ pulumi import vercel:index/auditLogDrain:AuditLogDrain example team_xxxxxxxxxxxxxxxxxxxxxxxx/drn_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    vercel pulumiverse/pulumi-vercel
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the vercel Terraform Provider.
    vercel logo vercel logo
    Viewing docs for Vercel v5.21.1
    published on Thursday, Oct 15, 2026 by Pulumiverse

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial